%% Plotting

%% Without control

figure(1)
subplot(3,1,1); plot(ref.time,-ref.signals.values,zw.time,zw.signals.values,zeta.time,zeta.signals.values);
grid;
legend('inverted reference z_w^*','resulting z_w','wave elevation')
xlabel('Time')
ylabel('Amplitude [m]')

subplot(3,1,2); plot(Fh.time,Fh.signals.values)
grid
legend('Hydrodynamic force F_h')
xlabel('Time')
ylabel('Amplitude [N]')

subplot(3,1,3); plot(Ft.time,Ft.signals.values)
grid
legend('Wire force F_t')
xlabel('Time')
ylabel('Amplitude [N]')

%% With control
figure(2)
subplot(3,1,1); plot(ref1.time,-ref1.signals.values,zw1.time,zw1.signals.values,zeta1.time,zeta1.signals.values);
grid;
legend('inverted reference z_w^*','resulting z_w','wave elevation')
xlabel('Time')
ylabel('Amplitude [m]')

subplot(3,1,2); plot(Fh1.time,Fh1.signals.values)
grid
legend('Hydrodynamic force F_h')
xlabel('Time')
ylabel('Amplitude [N]')

subplot(3,1,3); plot(Ft1.time,Ft1.signals.values)
grid
legend('Wire force F_t')
xlabel('Time')
ylabel('Amplitude [N]')